# VideoSynchronizer

#### new Cesium.VideoSynchronizer(options)
Core/VideoSynchronizer.js 21

Synchronizes a video element with a simulation clock.

Name | Type | Description
--- | --- | ---
`options` | Object | optional Object with the following properties:
Name | Type | Default | Description
--- | --- | --- | ---
`clock` | Clock |  | optional The clock instance used to drive the video.
`element` | HTMLVideoElement |  | optional The video element to be synchronized.
`epoch` | JulianDate | `Iso8601.MINIMUM_VALUE` | optional The simulation time that marks the start of the video.
`tolerance` | Number | `1.0` | optional The maximum amount of time, in seconds, that the clock and video can diverge.

##### Demo:

- Video Material Demo

### Members

#### clock : Clock
Core/VideoSynchronizer.js 63

Gets or sets the clock used to drive the video element.

#### element : HTMLVideoElement
Core/VideoSynchronizer.js 95

Gets or sets the video element to synchronize.

#### epoch : JulianDate
Core/VideoSynchronizer.js 38

Gets or sets the simulation time that marks the start of the video.

Default Value: `Iso8601.MINIMUM_VALUE`

#### tolerance : Number
Core/VideoSynchronizer.js 49

Gets or sets the amount of time in seconds the video's currentTime and the clock's currentTime can diverge before a video seek is performed. Lower values make the synchronization more accurate but video performance might suffer. Higher values provide better performance but at the cost of accuracy.

Default Value: `1.0`

### Methods

#### destroy()
Core/VideoSynchronizer.js 128

Destroys and resources used by the object. Once an object is destroyed, it should not be used.

##### Throws:

- DeveloperError : This object was destroyed, i.e., destroy() was called.

#### isDestroyed() → Boolean
Core/VideoSynchronizer.js 139

Returns true if this object was destroyed; otherwise, false.

##### Returns:

True if this object was destroyed; otherwise, false.